#!/bin/bash

echo "YOU NEED SYNCLIENT TO RUN THIS REGRESSION TEST!"
echo "PLEASE STOP ANY SYNDAEMON INSTANCES BEFORE RUNNING THIS TEST!"

LD_LIBRARY_PATH=.

# saving some system information
uname -a > .systeminfo
echo "=======" >> .systeminfo
synclient -V >> .systeminfo
echo "=======" >> .systeminfo
head /var/log/Xorg.0.log >> .systeminfo

# backing up set touchpad parameters
./syntest > .params_1
# resetting these parameters via syclient
for  i in `cat .params_1`; do synclient $i; done;
./syntest > .params_2

# is everything still set correctly?
if diff .params_1 .params_2 ;
then echo "all parameters are correct" ; 
else 
tar czf buginfo.tar.gz .systeminfo .params_1 .params_2
echo "some parameter differ => this is a bug! Please send buginfo.tar.gz to me (katakombi@web.de)"
fi;
